---
triple:          'arm64-apple-darwin'
binary-path:     '/Users/jenkins/workspace/Build_JDK25_aarch64_mac_Nightly/build/macosx-aarch64-server-release/support/test/hotspot/jtreg/native/lib/libVirtualMachine09agent00.dylib'
relocations:
  - { offsetInCU: 0x5E, offset: 0x5E, size: 0x8, addend: 0x0, symName: __ZL13internalError, symObjAddr: 0x24408, symBinAddr: 0x8080, symSize: 0x0 }
  - { offsetInCU: 0x83, offset: 0x83, size: 0x8, addend: 0x0, symName: __ZL14targetAppClass, symObjAddr: 0x24410, symBinAddr: 0x8088, symSize: 0x0 }
  - { offsetInCU: 0xC6, offset: 0xC6, size: 0x8, addend: 0x0, symName: __ZL17agentLoadedMethod, symObjAddr: 0x24418, symBinAddr: 0x8090, symSize: 0x0 }
  - { offsetInCU: 0xF4, offset: 0xF4, size: 0x8, addend: 0x0, symName: __ZL19agentFinishedMethod, symObjAddr: 0x24420, symBinAddr: 0x8098, symSize: 0x0 }
  - { offsetInCU: 0x10D, offset: 0x10D, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.0, symObjAddr: 0x24428, symBinAddr: 0x80A0, symSize: 0x0 }
  - { offsetInCU: 0x118, offset: 0x118, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.1, symObjAddr: 0x2442C, symBinAddr: 0x80A4, symSize: 0x0 }
  - { offsetInCU: 0x123, offset: 0x123, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.2, symObjAddr: 0x24430, symBinAddr: 0x80A8, symSize: 0x0 }
  - { offsetInCU: 0x4C0E, offset: 0x4C0E, size: 0x8, addend: 0x0, symName: _nsk_lcomplain, symObjAddr: 0xCA4, symBinAddr: 0x2178, symSize: 0x28 }
  - { offsetInCU: 0x4C8A, offset: 0x4C8A, size: 0x8, addend: 0x0, symName: _nsk_lvcomplain, symObjAddr: 0x1D8C, symBinAddr: 0x3030, symSize: 0x20C }
  - { offsetInCU: 0x4E1C, offset: 0x4E1C, size: 0x8, addend: 0x0, symName: _nsk_free_options, symObjAddr: 0xCCC, symBinAddr: 0x21A0, symSize: 0x118 }
  - { offsetInCU: 0x4F1A, offset: 0x4F1A, size: 0x8, addend: 0x0, symName: _nsk_aod_createOptions, symObjAddr: 0xDE4, symBinAddr: 0x22B8, symSize: 0x3A4 }
  - { offsetInCU: 0x5246, offset: 0x5246, size: 0x8, addend: 0x0, symName: _nsk_ltrace, symObjAddr: 0x1188, symBinAddr: 0x265C, symSize: 0xB0 }
  - { offsetInCU: 0x534E, offset: 0x534E, size: 0x8, addend: 0x0, symName: _nsk_lverify, symObjAddr: 0x1238, symBinAddr: 0x270C, symSize: 0xD8 }
  - { offsetInCU: 0x5469, offset: 0x5469, size: 0x8, addend: 0x0, symName: _nsk_aod_getOptionValue, symObjAddr: 0x13F4, symBinAddr: 0x27E4, symSize: 0xF0 }
  - { offsetInCU: 0x5583, offset: 0x5583, size: 0x8, addend: 0x0, symName: _nsk_printf, symObjAddr: 0x1F98, symBinAddr: 0x323C, symSize: 0x28 }
  - { offsetInCU: 0x55E6, offset: 0x55E6, size: 0x8, addend: 0x0, symName: _nsk_vprintf, symObjAddr: 0x2390, symBinAddr: 0x3264, symSize: 0xA0 }
  - { offsetInCU: 0x56C1, offset: 0x56C1, size: 0x8, addend: 0x0, symName: _nsk_aod_agentLoaded, symObjAddr: 0x14E4, symBinAddr: 0x28D4, symSize: 0x264 }
  - { offsetInCU: 0x598A, offset: 0x598A, size: 0x8, addend: 0x0, symName: _nsk_ldisplay, symObjAddr: 0x1748, symBinAddr: 0x2B38, symSize: 0x80 }
  - { offsetInCU: 0x5A49, offset: 0x5A49, size: 0x8, addend: 0x0, symName: __Z15nsk_jni_lverifyiP7JNIEnv_iPKciS2_z, symObjAddr: 0x17C8, symBinAddr: 0x2BB8, symSize: 0x104 }
  - { offsetInCU: 0x5BB5, offset: 0x5BB5, size: 0x8, addend: 0x0, symName: __ZN7JNIEnv_20CallStaticVoidMethodEP7_jclassP10_jmethodIDz, symObjAddr: 0x18CC, symBinAddr: 0x2CBC, symSize: 0x30 }
  - { offsetInCU: 0x5C67, offset: 0x5C67, size: 0x8, addend: 0x0, symName: __Z23nsk_jni_check_exceptionP7JNIEnv_PKci, symObjAddr: 0x1B6C, symBinAddr: 0x2EC8, symSize: 0x168 }
  - { offsetInCU: 0x5E43, offset: 0x5E43, size: 0x8, addend: 0x0, symName: _nsk_aod_agentFinished, symObjAddr: 0x18FC, symBinAddr: 0x2CEC, symSize: 0x1DC }
  - { offsetInCU: 0x6081, offset: 0x6081, size: 0x8, addend: 0x0, symName: _Agent_OnLoad, symObjAddr: 0x2638, symBinAddr: 0x3304, symSize: 0x30 }
  - { offsetInCU: 0x60FB, offset: 0x60FB, size: 0x8, addend: 0x0, symName: _Agent_OnAttach, symObjAddr: 0x2668, symBinAddr: 0x3334, symSize: 0x1A8 }
...
